xoops forums

loukaum

Just popping in
Posted on: 3/27 11:11
loukaum
loukaum (Show more)
Just popping in
Posts: 93
Since: 2003/11/2
#1

Gallery Module working on version 2.5.9

Hello all!

Is there any gallery module working with the current version of Xoops (2.5.9)?

I've tried: tdmpicture, extgallery, myalbum...

aerograf

Quite a regular
Posted on: 3/27 12:13
aerograf
aerograf (Show more)
Quite a regular
Posts: 201
Since: 2017/1/7 1
#2

Re: Gallery Module working on version 2.5.9

I use - extgallery
For example - https://www.shmel.org/gallery/
----
https://github.com/mambax7/extgallery

loukaum

Just popping in
Posted on: 3/27 16:19
loukaum
loukaum (Show more)
Just popping in
Posts: 93
Since: 2003/11/2
#3

Re: Gallery Module working on version 2.5.9

Just can't install, due to an error:

Resized Image

aerograf

Quite a regular
Posted on: 3/27 16:39
aerograf
aerograf (Show more)
Quite a regular
Posts: 201
Since: 2017/1/7 1
#4

Re: Gallery Module working on version 2.5.9

Try this: https://github.com/aerograf/extgallery

Mamba

Moderator
Posted on: 3/27 23:01
Mamba
Mamba (Show more)
Moderator
Posts: 10633
Since: 2004/4/23
#5

Re: Gallery Module working on version 2.5.9

Try: extGallery 1.14 Beta 1
https://github.com/mambax7/extgallery/releases/

New in this version: namespaces, autoloading, various fixes
Support XOOPS => DONATE
Use 2.5.9 | Docs | Modules | Bugs

Cifug

Quite a regular
Posted on: 5/18 22:21
Cifug
Cifug (Show more)
Quite a regular
Posts: 208
Since: 2007/12/13
#6

Re: Gallery Module working on version 2.5.9

Quote:
Hi aerograf, I think your module appears to have the least amount of problems on 2.5.9 with xbootstrap.

One bug I have found is when I view the index page of extgallery to view the categories the thumbnail url takes me to:
http://mbmedia.com.au/modules/extgallery/pueXtGalleryblic-categories.php?id=1

I found the mistake on this page:
/extra/themes/xbootstrap/modules/extgallery/extgallery_index.tpl line 30.


Change this:
<a title="<{$child.cat_name}>" href="pu<{$extgalleryName}>blic-categories.php?id=<{$child.cat_id}>">

To this:
<a title="<{$child.cat_name}>" href="public-categories.php?id=<{$child.cat_id}>">

Then copy and ovewrite the file to the theme/xbootstrap/modules/extgallery/ directory. Clear your cache and good to go

Cheers,
Marty

aerograf

Quite a regular
Posted on: 5/21 17:26
aerograf
aerograf (Show more)
Quite a regular
Posts: 201
Since: 2017/1/7 1
#7

Re: Gallery Module working on version 2.5.9

Thank you!
Has corrected.
https://github.com/aerograf/extgallery

Mamba

Moderator
Posted on: 5/22 8:53
Mamba
Mamba (Show more)
Moderator
Posts: 10633
Since: 2004/4/23
#8

Re: Gallery Module working on version 2.5.9

Zyspec was kind enough to submit the fix here as well:
https://github.com/mambax7/extgallery
Support XOOPS => DONATE
Use 2.5.9 | Docs | Modules | Bugs

SMEDrieben

Not too shy to talk
Posted on: 9/23 19:37
SMEDrieben
SMEDrieben (Show more)
Not too shy to talk
Posts: 173
Since: 2009/6/17
#9

Re: Gallery Module working on version 2.5.9

I try to prepare my site for php 7, because my ISP has announced to upgrade their servers within 2 weeks. . Extgallery 1.11 does not work with php 7.0.10 (fatal Xoops error after opening the index page) , so I tried 1.14 beta 1.

1. During upgrading the module, a fatal Xoops error occurs:
Next to the blue Xoops logo: Error : Error: Class 'Extgallery\Utility' not found

In the debug line:
Fout: Error: Class 'Extgallery/Utility' not found in bestand /modules/extgallery/include/onupdate.php regel 47

2. As soon as I open the index page of the module, a fatal error occurs:
Fatal error: Cannot use XoopsModules\Tag\Helper as Helper because the name is already in use in C:\wamp64\www\httpdocs\modules\extgallery\class\photoHandler.php on line 21

Is there a solution ? Actually, in my view, there is no Extgallery version that is working with php 7.

Thanks !

SMEDrieben

Mamba

Moderator
Posted on: 9/24 4:18
Mamba
Mamba (Show more)
Moderator
Posts: 10633
Since: 2004/4/23
#10

Re: Gallery Module working on version 2.5.9

Quote:
Is there a solution ? Actually, in my view, there is no Extgallery version that is working with php 7.

ExtGallery 1.14 should work with PHP7, but there might be a problem with upgrade from 1.11.
Let me check it out...

In the meantime, try a fresh installation and see if it works with PHP 7
Support XOOPS => DONATE
Use 2.5.9 | Docs | Modules | Bugs